kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-deployer-role
rules:
- apiGroups: [""]
  resources: ["serviceaccounts", "services", "persistentvolumeclaims", "configmaps", "secrets", "PersistentVolumeClaims"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["apps"]
  resources: ["deployments", "statefulsets"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["autoscaling"]
  resources: ["horizontalpodautoscalers"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["route.openshift.io"]
  resources: ["routes", "routes/custom-host"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["batch"]
  resources: ["cronjobs"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["monitoring.coreos.com"]
  resources: ["servicemonitors"]
  verbs: ["create", "patch", "delete", "get"]
- apiGroups: ["tekton.dev"]
  resources: ["pipelines","pipelineruns"]
  verbs: ["create", "patch", "delete"]
- apiGroups: ["rbac.authorization.k8s.io"]
  resources: ["roles", "rolebindings"]
  verbs: ["create", "patch", "delete"]
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: argocd-controller-to-argocd-deployer-role
roleRef:
  kind: Role
  name: argocd-deployer-role
  apiGroup: rbac.authorization.k8s.io
subjects:
- kind: ServiceAccount
  namespace: openshift-gitops
  name: openshift-gitops-argocd-application-controller
